Update a specific class

Updates details of an existing class identified by classId.

The request body allows modifying attributes such as the class name, facility,
schedule, and optionally associating a workout program classTemplateId.

Note:

  • Only provided fields in the request body will be updated.
  • The schedule supports multiple days and times per week.

Required Scope: write:classes_and_bookings


Required Role:

This endpoint is availble to clients using the client credentials grant.
When using the authorization code flow grant the authorized user must be an Owner or Coach to use this endpoint.

Path Params
uuid
required

The requested class's ID

Body Params
string
uuid
uuid
string | null
string | null
days
array of strings
days
Allowed:
times
array of strings
times
integer
boolean
boolean
integer
string
float
string
string
Responses

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json